#!/usr/bin/bash

rm -r /etc/php/*
cp /install/php-fpm.conf /etc/php/

export PHP_INI=/etc/php/php.ini

if [[ $OS = "debian" ]]; then
	mkdir -p /etc/php/8.2/fpm/
	mv /etc/php/php-fpm.conf /etc/php/8.2/fpm/
	export PHP_INI=/etc/php/8.2/fpm/php.ini
fi

cat /install/php.ini >> $PHP_INI

# For systemd
mkdir /etc/systemd/system/php-fpm.service.d
cp /install/php-fpm.service.override.conf /etc/systemd/system/php-fpm.service.d/
