#!/usr/bin/bash

# Create database
sqlite3 /srv/servnest/core/db/servnest.db < /srv/servnest/core/db/schema.sql

sqlite3 /srv/servnest/core/db/servnest.db <<< "UPDATE params SET value = '$(openssl rand -hex 16)' WHERE name = 'username_salt';"

# Create translation Machine Objects files
msgfmt /srv/servnest/core/locales/fr/C/LC_MESSAGES/messages.po -o /srv/servnest/core/locales/fr/C/LC_MESSAGES/messages.mo

chown -R $servnest:$nginx /srv/servnest/core
chmod -R u=rX,g=rX,o= /srv/servnest/core
chown -R $servnest: /srv/servnest/core/db
chmod -R u=rwX,g=,o= /srv/servnest/core/db
